#include "testApp.h"



//--------------------------------------------------------------
void testApp::setup(){	 
	temp.loadShader("color");
	bShaderOn = true; 
	temp.setShaderActive(bShaderOn);
	
	ofSetCircleResolution(200);
}


//--------------------------------------------------------------
void testApp::update(){
	ofBackground(255,255,255);	
}


//--------------------------------------------------------------
void testApp::draw(){
	ofSetupScreen();
	
	
	ofFill();
	ofSetColor(255,0,120);
	ofRect(100,100,200,200);
	ofSetColor(0,255,255);
	ofCircle(500,200,100);
	ofSetColor(0,255,120);
	ofTriangle(700,100,800,300,900,100);
	
	
}

 
//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	bShaderOn = !bShaderOn;
	temp.setShaderActive(bShaderOn);
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	temp.setUniformVariable("time", (float)x);
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
